<template>
    <div>
        <div>
            <label for="">
                Name
                <input v-model="currentItem.name" type="text">
            </label>
        </div>
        <div>
            <label for="">
                Measure
                <input v-model="currentItem.measure" type="text">
            </label>
        </div>
        <div>
            <label for="">
                Price per one
                <input v-model="currentItem.pricePerOne" type="text">
            </label>
        </div>
        <div>
            <label for="">
                Nationality
                <input v-model="currentItem.nationality" type="text">
            </label>
        </div>
    </div>
</template>

<script>
import { mapActions } from 'vuex';


export default {
    name: 'FilterComp',
    data() {
        return {
            currentItem: {}
        }
    },
    watch: {
        currentItem: {
            handler(newFilter) {
                this.updateFilter(newFilter)
            },
            deep: true
        }
    },
    methods: {
        ...mapActions(['updateFilter'])
    },
}
</script>

<style lang="scss" scoped></style>